@charset "utf-8";
/*==================================================
	【サブ】ページ固有のスタイル
==================================================*/
#programming .msg {
	background: url("../img/programming/bg01.png") no-repeat top left, url("../img/programming/bg02.png") no-repeat top right;
}
#programming .msg .txt {
	width: 810px;
	margin: 0 auto;
}
#programming .type .logo {
	margin-bottom: 50px;
}
#programming .type dl dt {
	margin-bottom: 50px;
}
#programming .type dl dt span {
	display: inline-block;
	font-size: 36px;
	background: rgba(252, 243, 0, 0.6);
	font-weight: 500;
	padding: 9px 25px 14px;
	line-height: 1;
}
#programming .features h3 {
	font-size: 27px;
	text-align: center;
	color: var(--color-secondary);
	margin-bottom: 60px;
}
#programming .features h3 .line {
	font-size: 47px;
	display: inline-block;
	background: linear-gradient(transparent 70%, rgba(252, 243, 0, 0.6) 30%);
}
#programming .features .box {
	border-radius: 30px;
	border: 5px solid #33C892;
	padding: 50px;
	margin-bottom: 60px;
}
#programming .features .box .img {
	width: 333px;
}
#programming .features .box .img.waku {
	display: flex;
	align-items: center;
	justify-content: center;
	border: 1px solid #ccc;
	border-radius: 30px;
	height: 291px;
}
#programming .features .box .img img.maru {
	border-radius: 30px;
}
#programming .features .box .imgs {
	display: flex;
	justify-content: center;
	margin-bottom: 60px;
	gap: 0 50px;
}
#programming .features .box .imgs li {
	width: 333px;
	height: 291px;
	display: flex;
	align-items: center;
	justify-content: center;
	border: 1px solid #ccc;
	border-radius: 30px;
}
#programming .features .box .info {
	width: 600px;
}
#programming .features .box .info.full {
	width: 100%;
}
#programming .features .box .info h4 {
	position: relative;
	padding-left: 150px;
	font-size: 50px;
	line-height: 1.2;
	margin-bottom: 30px;
}
#programming .features .box .info h4 .red {
	font-size: 55px;
}
#programming .features .box .info h4 .maru {
	position: absolute;
	top: 0;
	left: 0;
	display: inline-block;
	width: 120px;
	height: 120px;
	border-radius: 50%;
	color: #fff;
	background : linear-gradient(90deg, rgba(51, 200, 146, 1) 0%, rgba(13, 142, 255, 1) 100%);
	padding-top: 20px;
	text-align: center;
	font-size: 25px;
	line-height: 1.1;
	font-weight: 500;
}
#programming .features .box .info h4 .maru .no {
	font-size: 50px;
}
#programming .features .box .info .txt {
	font-size: 138%;
	font-weight: 500;
}
@media print, screen and (min-width: 769px){ /* PCのみ */
}
@media print, screen and (min-width: 641px){ /* PC・タブレット */
}
@media only screen and (max-width: 768px) and (min-width: 641px){ /* タブレットのみ */
}
@media only screen and (max-width: 768px) {  /* タブレット以下 */
	#programming .msg {
		background-size: 8% auto;
		background-position: top left, bottom right;
	}
	#programming .msg .txt {
		width: 80%;
		margin: 0 auto;
	}
	#programming .type .logo {
		margin-bottom: 30px;
	}
	#programming .type dl dt {
		margin-bottom: 30px;
	}
	#programming .type dl dt span {
		font-size: 25px;
	}
	#programming .features h3 {
		font-size: 20px;
		margin-bottom: 40px;
	}
	#programming .features h3 .line {
		font-size: 30px;
	}
	#programming .features .box {
		padding: 15px;
		margin-bottom: 40px;
	}
	#programming .features .box .img {
		width: 30%;
	}
	#programming .features .box .img.waku {
		height: 30vw;
	}
	#programming .features .box .img.waku img {
		width: 70%;
	}
	#programming .features .box .imgs {
		margin-bottom: 30px;
		gap: 0 20px;
	}
	#programming .features .box .imgs li {
		width: 30%;
		height: 24vw;
	}
	#programming .features .box .imgs li img {
		width: 80%;
	}
	#programming .features .box .info {
		width: 65%;
	}
	#programming .features .box .info h4 {
		font-size: 25px;
		padding-left: 105px;
		line-height: 1.3;
		padding-top: 12px;
		margin-bottom: 20px;
	}
	#programming .features .box .info h4 .red {
		font-size: 28px;
	}
	#programming .features .box .info h4 .maru {
		width: 90px;
		height: 90px;
		font-size: 20px;
	}
	#programming .features .box .info h4 .maru .no {
		font-size: 30px;
	}
	#programming .features .box .info .txt {
		font-size: 120%;
	}
}
@media only screen and (max-width: 640px){ /* スマホ */
	#programming .msg {
		background: none;
	}
	#programming .msg .txt {
		width: 100%;
	}
	#programming .type .logo {
		margin-bottom: 10px;
	}
	#programming .type dl dt {
		margin-bottom: 10px;
	}
	#programming .type dl dt span {
		font-size: 18px;
	}
	#programming .features h3 {
		font-size: 18px;
		margin-bottom: 30px;
	}
	#programming .features h3 .line {
		font-size: 23px;
	}
	#programming .features .box {
		padding: 10px;
		border-radius: 15px;
	}
	#programming .features .box .img {
		width: 100%;
		margin-bottom: 10px;
	}
	#programming .features .box .img.waku {
		height: 80vw;
	}
	#programming .features .box .img img.maru {
		border-radius: 15px;
	}
	#programming .features .box .info {
		width: 100%;
	}
	#programming .features .box .info h4 {
		padding-left: 0;
		font-size: 18px;
		margin-bottom: 10px;
	}
	#programming .features .box .info h4 .red {
		font-size: 23px;
	}
	#programming .features .box .info h4  br {
		display: none;
	}
	#programming .features .box .info h4 .maru {
		position: relative;
		margin: 0 auto 10px;
		display: block;
	}
	#programming .features .box .info h4 .maru br {
		display: inline;
	}
	#programming .features .box .info .txt {
		font-size: 100%;
	}
	#programming .features .box .imgs {
		gap: 0;
		justify-content: space-between;
		margin-bottom: 10px;
	}
	#programming .features .box .imgs li {
		width: 48%;
		border-radius: 15px;
		height: 35vw;
	}
}